Module java.corba
Package org.omg.IOP

## Interface TAG_INTERNET_IOP

    public interface TAG_INTERNET_IOP

org/omg/IOP/TAG_INTERNET_IOP.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-9-argm_o/openjdk-9-9~b114/src/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Thursday, April 14, 2016 7:54:05 PM UTC

### Field Summary

Fields
`static int` `value` Identifies profiles that support the Internet Inter-ORB Protocol.

### Field Detail

#### value

    static final int value

Identifies profiles that support the Internet Inter-ORB Protocol. The `ProfileBody` of this profile contains a CDR encapsulation of a structure containing addressing and object identification information used by IIOP. Version 1.1 of the `TAG_INTERNET_IOP` profile also includes an array of TaggedComponent objects that can contain additional information supporting optional IIOP features, ORB services such as security, and future protocol extensions.

Protocols other than IIOP (such as ESIOPs and other GIOPs) can share profile information (such as object identity or security information) with IIOP by encoding their additional profile information as components in the `TAG_INTERNET_IOP` profile. All `TAG_INTERNET_IOP` profiles support IIOP, regardless of whether they also support additional protocols. Interoperable ORBs are not required to create or understand any other profile, nor are they required to create or understand any of the components defined for other protocols that might share the `TAG_INTERNET_IOP` profile with IIOP.

The `profile_data` for the `TAG_INTERNET_IOP` profile is a CDR encapsulation of the `IIOP.ProfileBody_1_1` type.

See Also:
  Constant Field Values